| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::MultiBandBlender Class Reference
Images stitching » Image Blenders

Blender which uses multi-band blending algorithm (see [33]). More...

`#include <opencv2/stitching/detail/blenders.hpp>`

Inheritance diagram for cv::detail::MultiBandBlender:

## Public Member Functions
| MultiBandBlender (int try_gpu=false, int num_bands=5, int weight_type=CV_32F)
void | blend (InputOutputArray dst, InputOutputArray dst_mask) CV_OVERRIDE
| Blends and returns the final pano. More...
void | feed (InputArray img, InputArray mask, Point tl) CV_OVERRIDE
| Processes the image. More...
int | numBands () const
void | prepare (Rect dst_roi) CV_OVERRIDE
void | setNumBands (int val)
Public Member Functions inherited from cv::detail::Blender
virtual | ~Blender ()
virtual void | prepare (const std::vector< Point > &corners, const std::vector< Size > &sizes)
| Prepares the blender for blending. More...

## Additional Inherited Members
Public Types inherited from cv::detail::Blender
enum | { NO, FEATHER, MULTI_BAND }
Static Public Member Functions inherited from cv::detail::Blender
static Ptr< Blender > | createDefault (int type, bool try_gpu=false)
Protected Attributes inherited from cv::detail::Blender
UMat | dst_
UMat | dst_mask_
Rect | dst_roi_

## Detailed Description

Blender which uses multi-band blending algorithm (see [33]).

Examples:
  samples/cpp/stitching_detailed.cpp.

## Constructor & Destructor Documentation

## ◆ MultiBandBlender()

cv::detail::MultiBandBlender::MultiBandBlender | ( | int | try_gpu = `false`,
|  | int | num_bands = `5`,
|  | int | weight_type = `CV_32F`
| ) |  |

Python:
| <detail_MultiBandBlender object> | = | cv.detail_MultiBandBlender( | [, try_gpu[, num_bands[, weight_type]]] | )

## Member Function Documentation

## ◆ blend()

void cv::detail::MultiBandBlender::blend | ( | InputOutputArray | dst,
|  | InputOutputArray | dst_mask
| ) |  |
| virtual

Python:
| dst, dst_mask | = | cv.detail_MultiBandBlender.blend( | dst, dst_mask | )

Blends and returns the final pano.

Parameters

  dst | Final pano
  dst_mask | Final pano mask

Reimplemented from cv::detail::Blender.

## ◆ feed()

void cv::detail::MultiBandBlender::feed | ( | InputArray | img,
|  | InputArray | mask,
|  | Point | tl
| ) |  |
| virtual

Python:
| None | = | cv.detail_MultiBandBlender.feed( | img, mask, tl | )

Processes the image.

Parameters

  img | Source image
  mask | Source image mask
  tl | Source image top-left corners

Reimplemented from cv::detail::Blender.

## ◆ numBands()

int cv::detail::MultiBandBlender::numBands | ( |  | ) | const
| inline

Python:
| retval | = | cv.detail_MultiBandBlender.numBands( |  | )

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ prepare()

void cv::detail::MultiBandBlender::prepare | ( | Rect | dst_roi | ) |
| virtual

Python:
| None | = | cv.detail_MultiBandBlender.prepare( | dst_roi | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Reimplemented from cv::detail::Blender.

## ◆ setNumBands()

void cv::detail::MultiBandBlender::setNumBands | ( | int | val | ) |
| inline

Python:
| None | = | cv.detail_MultiBandBlender.setNumBands( | val | )

Examples:
  samples/cpp/stitching_detailed.cpp.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/blenders.hpp